function [ c ] = bottleneck_twoElements(p, q)
% Bottleneck_twoElements compute the c^*(p,q) = \min \{ ||p-q||_\infty,
% 0.5\max\{|py - px|, |qy - qx| \} \}. Measures the cost of matching p with q
% against the cost of matching both points with the diagonal.

% INPUT: p,q both in 2d: px, py, qx, qy  

% ||p-q||_\infty
c1 = norm(p-q, Inf);

% 0.5\max\{|py - px|, |qy - qx| \}
c2 = 0.5 * max(abs(p(1) - p(2)), abs(q(1) - q(2)));

% c
c = min(c1, c2); 

end

